Subject: bug#14085: 24.3.50; regression `C-c C-c' in `report-emacs-bug' no longer closesthereportwindow

From: Juanma Barranquero <[email-masked]>
Date: Wed, 15 May 2013 11:43:13 +0200

On Wed, May 15, 2013 at 8:56 AM, Eli Zaretskii <[email-masked]> wrote:

> What exactly in the way this procedure works causes such problems?

I was referring to the fact that, after some changes, the only way to
have a working Emacs is bootstrapping. The thing that exactly causes
such problems is that our build procedure does not always bootstrap to
save time... ;-)

> In general, "make bzr-update" in the lisp directory should recompile
> every Lisp file whose .elc file is outdated.  If you are saying this
> is unreliable, please tell the details.

I'm saying that apparently in this case it failed, because the script
that I use to make Drew's binaries certainly runs "make bzr-update"
before "make dist". As for how it failed, I don't know because I
didn't keep the logs, alas.

    J